<?php
/*
	project: PWAMP
	file:    ABSPATH/wp-content/plugins/pwamp/themes/twentyfifteen.php
	version: 1.0.1
	author:  Rickey Gu
	web:     https://flexplat.com
	email:   rickey29@gmail.com
*/
if ( !defined( 'ABSPATH' ) ) exit;  // Exit if accessed directly.

require_once(plugin_dir_path(__FILE__) . 'lib/lib.php');


class PWAMP_Application extends PWAMP_Library
{
	protected $amp_style = 'a,abbr,acronym,address,applet,big,blockquote,body,caption,cite,code,dd,del,dfn,div,dl,dt,em,fieldset,font,form,h1,h2,h3,h4,h5,h6,html,iframe,ins,kbd,label,legend,li,object,ol,p,pre,q,s,samp,small,span,strike,strong,sub,sup,table,tbody,td,tfoot,th,thead,tr,tt,ul,var{border:0;font-family:inherit;font-size:100%;font-style:inherit;font-weight:inherit;margin:0;outline:0;padding:0;vertical-align:baseline}html{-webkit-box-sizing:border-box;-moz-box-sizing:border-box;box-sizing:border-box;font-size:62.5%;overflow-y:scroll;-webkit-text-size-adjust:100%;-ms-text-size-adjust:100%}*,:after,:before{-webkit-box-sizing:inherit;-moz-box-sizing:inherit;box-sizing:inherit}body{background:#f1f1f1}article,aside,details,figcaption,figure,footer,header,main,nav,section{display:block}a:focus{outline:#c1c1c1 solid 2px;outline:rgba(51,51,51,.3) solid 2px}a:active,a:hover{outline:0}.author-link:after,.byline:before,.bypostauthor>article .fn:after,.cat-links:before,.comment-navigation .nav-next a:after,.comment-navigation .nav-previous a:before,.comment-reply-title small a:before,.comments-link:before,.dropdown-toggle:after,.edit-link:before,.entry-content .more-link:after,.entry-format:before,.entry-summary .more-link:after,.format-link .entry-title a:after,.full-size-link:before,.image-navigation a:after,.image-navigation a:before,.pagination .next:before,.pagination .prev:before,.posted-on:before,.secondary-toggle:before,.social-navigation a:before,.tags-links:before{-moz-osx-font-smoothing:grayscale;-webkit-font-smoothing:antialiased;display:inline-block;font-family:Genericons;font-size:16px;font-style:normal;font-weight:400;font-variant:normal;line-height:1;speak:none;text-align:center;text-decoration:inherit;text-transform:none;vertical-align:top}.no-js .main-navigation ul ul,.post-navigation a,.post-navigation span,.site .skip-link{display:block}.site .skip-link,a{text-decoration:none}body,button,input,select,textarea{color:#333;font-family:"Noto Serif",serif;font-size:15px;font-size:1.5rem;line-height:1.6}h1,h2,h3,h4,h5,h6{clear:both;font-weight:700}p{margin-bottom:1.6em}b,strong{font-weight:700}abbr[title]{border-bottom:1px dotted #eaeaea;border-bottom:1px dotted rgba(51,51,51,.1);cursor:help}small{font-size:75%}ol,ul{margin:0 0 1.6em 1.3333em}ul{list-style:disc}ol{list-style:decimal}::-webkit-input-placeholder{color:rgba(51,51,51,.7);font-family:"Noto Sans",sans-serif}:-moz-placeholder{color:rgba(51,51,51,.7);font-family:"Noto Sans",sans-serif}::-moz-placeholder{color:rgba(51,51,51,.7);font-family:"Noto Sans",sans-serif;opacity:1}:-ms-input-placeholder{color:rgba(51,51,51,.7);font-family:"Noto Sans",sans-serif}button,input,select,textarea{background-color:#f7f7f7;border-radius:0;font-size:16px;font-size:1.6rem;line-height:1.5;margin:0;max-width:100%;vertical-align:baseline}button,input{-webkit-hyphens:none;-moz-hyphens:none;-ms-hyphens:none;hyphens:none;line-height:normal}input,textarea{background-image:-webkit-linear-gradient(rgba(255,255,255,0),rgba(255,255,255,0));border:1px solid #eaeaea;border:1px solid rgba(51,51,51,.1);color:#707070;color:rgba(51,51,51,.7)}input:focus,textarea:focus{background-color:#fff;border:1px solid #c1c1c1;border:1px solid rgba(51,51,51,.3);color:#333}input:focus,select:focus{outline:#c1c1c1 solid 2px;outline:rgba(51,51,51,.3) solid 2px}button,input[type=button],input[type=reset],input[type=submit]{-webkit-appearance:button;background-color:#333;border:0;color:#fff;cursor:pointer;font-family:"Noto Sans",sans-serif;font-size:12px;font-size:1.2rem;font-weight:700;padding:.7917em 1.5em;text-transform:uppercase}button:focus,button:hover,input[type=button]:focus,input[type=button]:hover,input[type=reset]:focus,input[type=reset]:hover,input[type=submit]:focus,input[type=submit]:hover{background-color:#707070;background-color:rgba(51,51,51,.7);outline:0}input[type=search]{-webkit-appearance:textfield}input[type=search]::-webkit-search-cancel-button,input[type=search]::-webkit-search-decoration{-webkit-appearance:none}button::-moz-focus-inner,input::-moz-focus-inner{border:0;padding:0}input[type=password],input[type=search],input[type=text],input[type=email],input[type=url],textarea{padding:.375em;width:100%}textarea{overflow:auto;vertical-align:top}input[type=password]:focus,input[type=search]:focus,input[type=text]:focus,input[type=email]:focus,input[type=url]:focus,textarea:focus{outline:0}.search-form input[type=submit],.widget .search-form input[type=submit]{padding:0}a{color:#333}a:focus,a:hover{color:#707070;color:rgba(51,51,51,.7)}.secondary-toggle{background-color:transparent;border:1px solid #eaeaea;border:1px solid rgba(51,51,51,.1);height:42px;overflow:hidden;padding:0;position:absolute;top:50%;right:0;text-align:center;-webkit-transform:translateY(-50%);-ms-transform:translateY(-50%);transform:translateY(-50%);width:42px}.secondary-toggle:before{color:#333;content:"\f419";line-height:40px;width:40px}.secondary-toggle:focus,.secondary-toggle:hover{background-color:transparent;border:1px solid #c1c1c1;border:1px solid rgba(51,51,51,.3);outline:0}.post-navigation{background-color:#fff;border-top:1px solid #eaeaea;border-top:1px solid rgba(51,51,51,.1);font-weight:700}.post-navigation a{padding:3.8461% 7.6923%}.post-navigation .meta-nav{color:#707070;color:rgba(51,51,51,.7);font-family:"Noto Sans",sans-serif;font-size:12px;font-size:1.2rem;letter-spacing:.04em;line-height:1.5;position:relative;text-transform:uppercase;z-index:2}.post-navigation .post-title{font-family:"Noto Serif",serif;font-size:18px;font-size:1.8rem;line-height:1.3333;position:relative;z-index:2}.post-navigation .nav-next,.post-navigation .nav-previous{background-position:center;background-size:cover;position:relative}.post-navigation a:before{content:"";display:block;height:100%;position:absolute;top:0;left:0;width:100%;z-index:1}.post-navigation a:focus:before,.post-navigation a:hover:before{opacity:.5}.post-navigation .meta-nav{opacity:.8}.says,.screen-reader-text{clip:rect(1px,1px,1px,1px);height:1px;overflow:hidden;position:absolute;width:1px}.site .skip-link{background-color:#f1f1f1;box-shadow:0 0 1px 1px rgba(0,0,0,.2);color:#21759b;font:700 14px/normal "Noto Sans",sans-serif;left:-9999em;outline:0;padding:15px 23px 14px;text-transform:none;top:-9999em}.hentry,.secondary,.site-footer,.site-header{background-color:#fff}.entry-footer,.site-description,.site-title,.widget-title{font-family:"Noto Sans",sans-serif}.site .skip-link:focus{clip:auto;height:auto;left:6px;top:7px;width:auto;z-index:100000}.clear:after,.clear:before,.comment-content:after,.comment-content:before,.comment-navigation:after,.comment-navigation:before,.entry-content:after,.entry-content:before,.nav-links:after,.nav-links:before,.site-content:after,.site-content:before,.site:after,.site:before,.social-navigation ul:after,.social-navigation ul:before,.textwidget:after,.textwidget:before{content:"";display:table}.archive .format-status .entry-title,.blog .format-status .entry-title,.secondary,.updated:not(.published){display:none}.clear:after,.comment-content:after,.comment-navigation:after,.entry-content:after,.nav-links:after,.site-content:after,.site:after,.social-navigation ul:after,.textwidget:after{clear:both}.site-header{border-bottom:1px solid rgba(51,51,51,.1);padding:7.6923%}.site-branding{min-height:2em;padding-right:60px;position:relative}.site-title{font-size:22px;font-size:2.2rem;font-weight:700;line-height:1.3636;margin-bottom:0}.site-description{display:none;font-size:12px;font-size:1.2rem;font-weight:400;line-height:1.5;margin:.5em 0 0;opacity:.7}.widget{color:#707070;color:rgba(51,51,51,.7);-webkit-hyphens:auto;-moz-hyphens:auto;-ms-hyphens:auto;hyphens:auto;margin:0 auto 9.09090%;width:100%;word-wrap:break-word}.widget button,.widget input,.widget select,.widget textarea{font-size:16px;font-size:1.6rem;line-height:1.5}.widget button,.widget input{line-height:normal}.widget button,.widget input[type=button],.widget input[type=reset],.widget input[type=submit]{font-size:12px;font-size:1.2rem;padding:.7917em 1.5833em}.widget input[type=password],.widget input[type=search],.widget input[type=text],.widget input[type=email],.widget input[type=url],.widget textarea{padding:.375em}.widget-title{color:#333;margin:0 0 1.6em;letter-spacing:.04em;text-transform:uppercase}.widget_archive a,.widget_categories a,.widget_links a,.widget_meta a,.widget_nav_menu a,.widget_pages a,.widget_recent_comments a,.widget_recent_entries a{border:0}.widget_archive ul,.widget_categories ul,.widget_links ul,.widget_meta ul,.widget_nav_menu ul,.widget_pages ul,.widget_recent_comments ul,.widget_recent_entries ul{list-style:none;margin:0}.widget_archive li,.widget_categories li,.widget_links li,.widget_meta li,.widget_nav_menu li,.widget_pages li,.widget_recent_comments li,.widget_recent_entries li{border-top:1px solid #eaeaea;border-top:1px solid rgba(51,51,51,.1);padding:.7667em 0}.widget_archive li:first-child,.widget_categories li:first-child,.widget_links li:first-child,.widget_meta li:first-child,.widget_nav_menu li:first-child,.widget_pages li:first-child,.widget_recent_comments li:first-child,.widget_recent_entries li:first-child{border-top:0;padding-top:0}.hentry+.hentry,.site-footer{border-top:1px solid rgba(51,51,51,.1)}.widget_archive li:last-child,.widget_categories li:last-child,.widget_links li:last-child,.widget_meta li:last-child,.widget_nav_menu li:last-child,.widget_pages li:last-child,.widget_recent_comments li:last-child,.widget_recent_entries li:last-child{padding-bottom:0}.secondary{padding:0 7.6923%}.widget-area{margin:9.09090% auto 0}.site-footer{padding:3.84615% 7.6923%}.hentry{padding-top:7.6923%;position:relative}.entry-header{padding:0 7.6923%}.entry-title{font-size:26px;font-size:2.6rem;line-height:1.1538;margin-bottom:.9231em}.entry-content,.entry-summary{padding:0 7.6923% 7.6923%}.comment-content,.entry-content,.entry-summary,.page-content{-webkit-hyphens:auto;-moz-hyphens:auto;-ms-hyphens:auto;hyphens:auto;word-wrap:break-word}.comment-content a,.entry-content a,.entry-summary a,.page-content a,.pingback .comment-body>a{border-bottom:1px solid #333}.comment-content a:focus,.comment-content a:hover,.entry-content a:focus,.entry-content a:hover,.entry-summary a:focus,.entry-summary a:hover,.page-content a:focus,.page-content a:hover,.pingback .comment-body>a:focus,.pingback .comment-body>a:hover{border-bottom:0}.entry-footer{background-color:#f7f7f7;color:#707070;color:rgba(51,51,51,.7);font-size:12px;font-size:1.2rem;line-height:1.5;padding:3.8461% 7.6923%}.comment-reply-title,.comments-title,.page-title{font-family:"Noto Serif",serif;line-height:1.3333}.comments-area,.page-header{background-color:#fff;padding:7.6923%}.entry-footer a{border-bottom:1px solid transparent;color:#707070;color:rgba(51,51,51,.7)}.entry-footer a:hover{border-bottom:1px solid #333}.entry-footer a:focus,.entry-footer a:hover{color:#333}.byline:before,.cat-links:before,.comments-link:before,.edit-link:before,.entry-format:before,.full-size-link:before,.posted-on:before,.tags-links:before{margin-right:2px;position:relative}.byline,.cat-links,.comments-link,.entry-format,.full-size-link,.posted-on,.tags-links{margin-right:1em}.posted-on:before{content:"\f307"}.byline:before{content:"\f304"}.comments-link:before{content:"\f300"}.comments-link,.edit-link{white-space:nowrap}.page-header{border-bottom:1px solid rgba(51,51,51,.1)}.page-title{font-size:18px;font-size:1.8rem}.comment-list+.comment-respond,.comments-area{border-top:1px solid #eaeaea;border-top:1px solid rgba(51,51,51,.1)}.comment-list+.comment-respond,.comment-navigation+.comment-respond{padding-top:1.6em}.comment-reply-title,.comments-title{font-size:18px;font-size:1.8rem}.comments-title{margin-bottom:1.3333em}.comment-list{list-style:none;margin:0}.comment-list .pingback,.comment-list .trackback,.comment-list article{border-top:1px solid #eaeaea;border-top:1px solid rgba(51,51,51,.1);padding:1.6em 0}.comment-author{color:#707070;color:rgba(51,51,51,.7);margin-bottom:.4em}.comment-author a:hover{border-bottom:1px solid #707070;border-bottom:1px solid rgba(51,51,51,.7)}.comment-author .avatar{float:left;height:24px;margin-right:.8em;width:24px}.comment-metadata,.pingback .edit-link{color:#707070;color:rgba(51,51,51,.7);font-family:"Noto Sans",sans-serif;font-size:12px;font-size:1.2rem;line-height:1.5}.comment-metadata a,.pingback .edit-link a{color:#707070;color:rgba(51,51,51,.7)}.comment-metadata a:hover,.pingback .edit-link a:hover{border-bottom:1px solid #333}.comment-metadata a:focus,.comment-metadata a:hover,.pingback .edit-link a:focus,.pingback .edit-link a:hover{color:#333}.comment-form label,.comment-list .reply a{color:#707070;font-weight:700;text-transform:uppercase;font-family:"Noto Sans",sans-serif}.comment-metadata{margin-bottom:1.6em}.comment-list .reply{font-size:12px;font-size:1.2rem}.comment-list .reply a{border:1px solid #eaeaea;border:1px solid rgba(51,51,51,.1);color:rgba(51,51,51,.7);display:inline-block;line-height:1;margin-top:2em;padding:.4167em .8333em}.comment-list .reply a:focus,.comment-list .reply a:hover{border-color:#333;color:#333;outline:0}.comment-form{padding-top:1.6em}.comment-form label{color:rgba(51,51,51,.7);font-size:12px;font-size:1.2rem;display:block;letter-spacing:.04em;line-height:1.5}.comment-form input[type=submit],.comment-form input[type=text],.comment-form input[type=email],.comment-form input[type=url]{width:100%}.comment-awaiting-moderation,.comment-notes,.form-allowed-tags,.logged-in-as{color:#707070;color:rgba(51,51,51,.7);font-family:"Noto Sans",sans-serif;font-size:12px;font-size:1.2rem;line-height:1.5;margin-bottom:2em}.form-submit{margin-bottom:0}.required{color:#c0392b}.comment-reply-title small{font-size:100%}.comment-reply-title small a{border:0;float:right;height:32px;overflow:hidden;width:26px}.comment-reply-title small a:before{content:"\f405";font-size:32px;position:relative;top:-3px}.site-info{color:#707070;color:rgba(51,51,51,.7);font-size:12px;font-size:1.2rem;line-height:1.5}.site-info a{border-bottom:1px solid transparent;color:#707070;color:rgba(51,51,51,.7)}.site-info a:hover{border-bottom:1px solid #333}.site-info a:focus,.site-info a:hover{color:#333}.site .avatar{border-radius:50%}@media screen and (min-width:38.75em){.hentry,.page-content,.page-header,.secondary,.site-footer{box-shadow:0 0 1px rgba(0,0,0,.15)}.hentry+.hentry,.site-footer{border-top:0}ol,ul{margin-left:0}.site-branding{min-height:3.2em}.site-title{font-size:22px;font-size:2.2rem;line-height:1.0909}.site-description{display:block}.secondary{margin:7.6923% 7.6923% 0;padding:7.6923% 7.6923% 0}.widget-area{margin-top:0}.widget{margin-bottom:11.1111%}.site-main{padding:7.6923% 0}.hentry,.page-content,.page-header{margin:0 7.6923%}.hentry+.hentry,.page-header+.hentry,.page-header+.page-content{margin-top:7.6923%}.entry-header{padding:0 9.0909%}.entry-content,.entry-summary{padding:0 9.0909% 9.0909%}.entry-footer{padding:4.5454% 9.0909%}.page-header{border-bottom:0;border-left:7px solid #333;padding:3.8461% 7.6923%}.page-title,.taxonomy-description{margin-left:-7px}.site-footer{margin:0 7.6923%;padding:3.84615% 7.6923%}.comments-area,.post-navigation{border-top:0;box-shadow:0 0 1px rgba(0,0,0,.15);margin:7.6923% 7.6923% 0}.post-navigation a{padding:4.5454% 9.0909%}}@media screen and (min-width:46.25em){body,button,input,select,textarea{font-size:17px;font-size:1.7rem;line-height:1.6471}button,input{line-height:normal}address,dd,dl,hr,ol,p,pre,table,ul{margin-bottom:1.6471em}.post-password-form input[type=submit],.widecolumn #submit,.widecolumn .mu_register input[type=submit],button,input[type=button],input[type=reset],input[type=submit]{font-size:14px;font-size:1.4rem;padding:.8214em 1.6429em}input[type=password],input[type=search],input[type=text],input[type=email],input[type=url],textarea{padding:.5em}.secondary-toggle{height:56px;width:56px}.secondary-toggle:before{line-height:54px;width:54px}.author-bio,.author-heading,.comment-awaiting-moderation,.comment-form label,.comment-list .reply,.comment-metadata,.comment-navigation,.comment-notes,.entry-caption,.entry-footer,.form-allowed-tags,.gallery-caption,.image-navigation,.logged-in-as,.page-links a,.page-links span,.pingback .edit-link,.post-navigation .meta-nav,.post-password-form label,.site-info,.widecolumn .mu_register label,.widecolumn label,.wp-caption-text{font-size:14px;font-size:1.4rem}.site-branding{min-height:3.7059em;padding-right:66px}.site-title{font-size:29px;font-size:2.9rem;line-height:1.2069}.site-description{font-size:14px;font-size:1.4rem}.widget{font-size:14px;font-size:1.4rem;line-height:1.5}.widget address,.widget dd,.widget dl,.widget hr,.widget ol,.widget p,.widget pre,.widget table,.widget ul{margin-bottom:1.5em}.widget button,.widget input,.widget select,.widget textarea{line-height:1.75}.widget button,.widget input{line-height:normal}.widget button,.widget input[type=button],.widget input[type=reset],.widget input[type=submit]{font-size:14px;font-size:1.4rem;padding:.8214em 1.6429em}.widget input[type=password],.widget input[type=search],.widget input[type=text],.widget input[type=email],.widget input[type=url],.widget textarea{padding:.5625em}.widget-title{margin:0 0 1.5em}.widget_archive li,.widget_categories li,.widget_links li,.widget_meta li,.widget_nav_menu li,.widget_pages li,.widget_recent_comments li,.widget_recent_entries li{padding:.9643em 0}.entry-title,.widecolumn h2{font-size:35px;font-size:3.5rem;line-height:1.2;margin-bottom:1.2em}.byline:before,.cat-links:before,.comments-link:before,.edit-link:before,.entry-format:before,.full-size-link:before,.posted-on:before,.tags-links:before{top:3px}.comment-reply-title,.comments-title,.page-title,.post-navigation .post-title{font-size:24px;font-size:2.4rem;line-height:1.1667}.comments-title{margin-bottom:1.4em}.comment-list .pingback,.comment-list .trackback,.comment-list article{padding:1.6471em 0}.comment-list+.comment-respond,.comment-navigation+.comment-respond{padding-top:1.6471em}.comment-meta{position:relative}.comment-author{margin-bottom:0}.comment-author .avatar{height:42px;margin-right:1.64705em;position:relative;top:5px;width:42px}.comment-list .reply a{padding:.4286em .8571em}.comment-form,.no-comments{padding-top:1.6471em}.comment-reply-title small a:before{top:-1px}}@media screen and (min-width:55em){body,button,input,select,textarea{font-size:19px;font-size:1.9rem;line-height:1.6842}button,input{line-height:normal}address,dd,dl,hr,ol,p,pre,table,ul{margin-bottom:1.6842em}.post-password-form input[type=submit],.widecolumn #submit,.widecolumn .mu_register input[type=submit],button,input[type=button],input[type=reset],input[type=submit]{font-size:16px;font-size:1.6rem;padding:.8125em 1.625em}input[type=password],input[type=search],input[type=text],input[type=email],input[type=url],textarea{padding:.5278em}.secondary-toggle{height:64px;width:64px}.secondary-toggle:before{line-height:62px;width:62px}.author-bio,.author-heading,.comment-awaiting-moderation,.comment-form label,.comment-list .reply,.comment-metadata,.comment-navigation,.comment-notes,.entry-caption,.entry-footer,.form-allowed-tags,.gallery-caption,.image-navigation,.logged-in-as,.page-links a,.page-links span,.pingback .edit-link,.post-navigation .meta-nav,.post-password-form label,.site-info,.widecolumn .mu_register label,.widecolumn label,.wp-caption-text{font-size:16px;font-size:1.6rem}.site-branding{min-height:3.7895em;padding-right:74px}.site-title{font-size:32px;font-size:3.2rem;line-height:1.25}.site-description,.widget{font-size:16px;font-size:1.6rem}.widget button,.widget input,.widget select,.widget textarea{line-height:1.5}.widget button,.widget input{line-height:normal}.widget button,.widget input[type=button],.widget input[type=reset],.widget input[type=submit]{font-size:16px;font-size:1.6rem;padding:.8125em 1.625em}.widget input[type=password],.widget input[type=search],.widget input[type=text],.widget input[type=email],.widget input[type=url],.widget textarea{padding:.75em}.widget_archive li,.widget_categories li,.widget_links li,.widget_meta li,.widget_nav_menu li,.widget_pages li,.widget_recent_comments li,.widget_recent_entries li{padding:.7188em 0}.entry-title,.widecolumn h2{font-size:39px;font-size:3.9rem;line-height:1.2308;margin-bottom:1.2308em}.byline:before,.cat-links:before,.comments-link:before,.edit-link:before,.entry-format:before,.full-size-link:before,.posted-on:before,.tags-links:before{top:4px}.comment-reply-title,.comments-title,.page-title,.post-navigation .post-title{font-size:27px;font-size:2.7rem;line-height:1.1852}.comments-title{margin-bottom:1.4545em}.comment-list .pingback,.comment-list .trackback,.comment-list article{padding:1.6842em 0}.comment-list+.comment-respond,.comment-navigation+.comment-respond{padding-top:1.6842em}.comment-author .avatar{height:56px;margin-right:1.6842em;top:3px;width:56px}.comment-metadata{line-height:2}.comment-list .reply a{padding:.4375em .875em}.comment-form,.no-comments{padding-top:1.6842em}}@media screen and (min-width:59.6875em){body:before{background-color:#fff;box-shadow:0 0 1px rgba(0,0,0,.15);content:"";display:block;height:100%;min-height:100%;position:fixed;top:0;left:0;width:29.4118%;z-index:0}.secondary,.site-header{background-color:transparent}.site{margin:0 auto;max-width:1403px}.sidebar{float:left;margin-right:-100%;max-width:413px;position:relative;width:29.4118%}.secondary{box-shadow:none;display:block;margin:0;padding:0}.site-main{padding:8.3333% 0}.site-content{display:block;float:left;margin-left:29.4118%;width:70.5882%}body{font-size:15px;font-size:1.5rem;line-height:1.6}address,dd,dl,hr,ol,p,pre,table,ul{margin-bottom:1.6em}button,input,select,textarea{font-size:16px;font-size:1.6rem;line-height:1.5}button,input{line-height:normal}.post-password-form input[type=submit],.widecolumn #submit,.widecolumn .mu_register input[type=submit],button,input[type=button],input[type=reset],input[type=submit]{font-size:12px;font-size:1.2rem;padding:.7917em 1.5833em}input[type=password],input[type=search],input[type=text],input[type=email],input[type=url],textarea{padding:.375em}.secondary-toggle{display:none}.author-bio,.author-heading,.comment-awaiting-moderation,.comment-form label,.comment-list .reply,.comment-metadata,.comment-navigation,.comment-notes,.entry-caption,.entry-footer,.form-allowed-tags,.gallery-caption,.image-navigation,.logged-in-as,.page-links a,.page-links span,.pingback .edit-link,.post-navigation .meta-nav,.post-password-form label,.site-info,.widecolumn .mu_register label,.widecolumn label,.wp-caption-text{font-size:12px;font-size:1.2rem}.post-navigation{margin:8.3333% 8.3333% 0}.post-navigation a{padding:5% 10%}.site-header{border-bottom:0;margin:20% 0;padding:0 20%}.site-branding{min-height:0;padding:0}.site-title{font-size:22px;font-size:2.2rem;line-height:1.3636}.site-description{font-size:12px;font-size:1.2rem}.widget{font-size:12px;font-size:1.2rem;margin:0 0 20%;padding:0 20%}.widget button,.widget input,.widget select,.widget textarea{font-size:12px;font-size:1.2rem}.widget button,.widget input[type=button],.widget input[type=reset],.widget input[type=submit]{font-size:12px;font-size:1.2rem;padding:.5417em 1.0833em}.widget input[type=password],.widget input[type=search],.widget input[type=text],.widget input[type=email],.widget input[type=url],.widget textarea{padding:.4583em}.widget_archive li,.widget_categories li,.widget_links li,.widget_meta li,.widget_nav_menu li,.widget_pages li,.widget_recent_comments li,.widget_recent_entries li{padding:.4583em 0}.hentry,.page-content,.page-header{margin:0 8.3333%}.hentry{padding-top:8.3333%}.hentry+.hentry,.page-header+.hentry,.page-header+.page-content{margin-top:8.3333%}.entry-header{padding:0 10%}.entry-title,.widecolumn h2{font-size:31px;font-size:3.1rem;line-height:1.1613;margin-bottom:1.1613em}.entry-content,.entry-summary{padding:0 10% 10%}.entry-footer{padding:5% 10%}.byline:before,.cat-links:before,.comments-link:before,.edit-link:before,.entry-format:before,.full-size-link:before,.posted-on:before,.tags-links:before{top:0}.page-header{padding:4.1666% 8.3333%}.comment-reply-title,.comments-title,.page-title,.post-navigation .post-title{font-size:18px;font-size:1.8rem;line-height:1.3333}.comments-area{margin:8.3333% 8.3333% 0;padding:8.3333%}.comments-title{margin-bottom:1.3333em}.comment-list .pingback,.comment-list .trackback,.comment-list article{padding:1.6em 0}.comment-list+.comment-respond,.comment-navigation+.comment-respond{padding-top:1.6em}.comment-author{margin-bottom:.4em}.comment-author .avatar{height:24px;margin-right:.8em;top:0;width:24px}.comment-list .reply a{padding:.4167em .8333em}.comment-form,.no-comments{padding-top:1.6em}.comment-reply-title small a:before{top:-3px}.site-footer{float:left;margin:0 0 0 35.2941%;padding:0;width:58.8235%}.site-info{padding:5% 10%}}@media screen and (min-width:68.75em){body,button,input,select,textarea{font-size:17px;font-size:1.7rem;line-height:1.6471}button,input{line-height:normal}address,dd,dl,hr,ol,p,pre,table,ul{margin-bottom:1.6471em}.post-password-form input[type=submit],.widecolumn #submit,.widecolumn .mu_register input[type=submit],button,input[type=button],input[type=reset],input[type=submit]{font-size:14px;font-size:1.4rem;padding:.8214em 1.5714em}input[type=password],input[type=search],input[type=text],input[type=email],input[type=url],textarea{padding:.5em}.author-bio,.author-heading,.comment-awaiting-moderation,.comment-form label,.comment-list .reply,.comment-metadata,.comment-navigation,.comment-notes,.entry-caption,.entry-footer,.form-allowed-tags,.gallery-caption,.image-navigation,.logged-in-as,.page-links a,.page-links span,.pingback .edit-link,.post-navigation .meta-nav,.post-password-form label,.site-info,.widecolumn .mu_register label,.widecolumn label,.wp-caption-text{font-size:14px;font-size:1.4rem}.site-title{font-size:24px;font-size:2.4rem;line-height:1.1667}.site-description,.widget,.widget button,.widget input,.widget select,.widget textarea{font-size:14px;font-size:1.4rem}.widget button,.widget input[type=button],.widget input[type=reset],.widget input[type=submit]{font-size:12px;font-size:1.2rem;padding:.75em 1.5em}.widget input[type=password],.widget input[type=search],.widget input[type=text],.widget input[type=email],.widget input[type=url],.widget textarea{padding:.5em}.widget_archive li,.widget_categories li,.widget_links li,.widget_meta li,.widget_nav_menu li,.widget_pages li,.widget_recent_comments li,.widget_recent_entries li{padding:.4643em 0}.entry-title,.widecolumn h2{font-size:35px;font-size:3.5rem;line-height:1.2;margin-bottom:1.2em}.byline:before,.cat-links:before,.comments-link:before,.edit-link:before,.entry-format:before,.full-size-link:before,.posted-on:before,.tags-links:before{top:3px}.comment-reply-title,.comments-title,.page-title,.post-navigation .post-title{font-size:24px;font-size:2.4rem;line-height:1.1667}.comments-title{margin-bottom:1.4em}.comment-list .pingback,.comment-list .trackback,.comment-list article{padding:1.6471em 0}.comment-list+.comment-respond,.comment-navigation+.comment-respond{padding-top:1.6471em}.comment-author{margin-bottom:0}.comment-author .avatar{height:42px;margin-right:1.64705em;top:5px;width:42px}.comment-list .reply a{padding:.4286em .8571em}.comment-form,.no-comments{padding-top:1.6471em}.comment-reply-title small a:before{top:-1px}}@media screen and (min-width:77.5em){body,button,input,select,textarea{font-size:19px;font-size:1.9rem;line-height:1.6842}button,input{line-height:normal}address,dd,dl,hr,ol,p,pre,table,ul{margin-bottom:1.6842em}.post-password-form input[type=submit],.widecolumn #submit,.widecolumn .mu_register input[type=submit],button,input[type=button],input[type=reset],input[type=submit]{font-size:16px;font-size:1.6rem;padding:.8125em 1.625em}input[type=password],input[type=search],input[type=text],input[type=email],input[type=url],textarea{padding:.5278em}.author-bio,.author-heading,.comment-awaiting-moderation,.comment-form label,.comment-list .reply,.comment-metadata,.comment-navigation,.comment-notes,.entry-caption,.entry-footer,.form-allowed-tags,.gallery-caption,.image-navigation,.logged-in-as,.page-links a,.page-links span,.pingback .edit-link,.post-navigation .meta-nav,.post-password-form label,.site-info,.widecolumn .mu_register label,.widecolumn label,.wp-caption-text{font-size:16px;font-size:1.6rem}.site-title{font-size:27px;font-size:2.7rem;line-height:1.1852}.site-description,.widget,.widget button,.widget input,.widget select,.widget textarea{font-size:16px;font-size:1.6rem}.widget button,.widget input[type=button],.widget input[type=reset],.widget input[type=submit]{font-size:13px;font-size:1.3rem;padding:.8462em 1.6923em}.widget input[type=password],.widget input[type=search],.widget input[type=text],.widget input[type=email],.widget input[type=url],.widget textarea{padding:.5em}.widget_archive li,.widget_categories li,.widget_links li,.widget_meta li,.widget_nav_menu li,.widget_pages li,.widget_recent_comments li,.widget_recent_entries li{padding:.4688em 0}.entry-title,.widecolumn h2{font-size:39px;font-size:3.9rem;line-height:1.2308;margin-bottom:1.2308em}.byline:before,.cat-links:before,.comments-link:before,.edit-link:before,.entry-format:before,.full-size-link:before,.posted-on:before,.tags-links:before{top:4px}.comment-reply-title,.comments-title,.page-title,.post-navigation .post-title{font-size:27px;font-size:2.7rem;line-height:1.1852}.comments-title{margin-bottom:1.4545em}.comment-list .pingback,.comment-list .trackback,.comment-list article{padding:1.6842em 0}.comment-list+.comment-respond,.comment-navigation+.comment-respond{padding-top:1.6842em}.comment-author .avatar{height:56px;margin-right:1.6842em;top:3px;width:56px}.comment-list .reply a{padding:.4375em .875em}.comment-form,.no-comments{padding-top:1.6842em}}@media screen and (min-width:87.6875em){body:before{width:-webkit-calc(50% - 289px);width:calc(50% - 289px)}}@media print{.comments-area,.entry-footer,.hentry,.page-content,.page-header,.site-footer,.site-header,.widecolumn,body{background:0 0}body{font-size:11.25pt}#reply-title,.comment-edit-link,.comment-form,.comment-list .reply a,.edit-link,.navigation,.page-links,.secondary-toggle,.widecolumn .mu_register form,.widecolumn form,button,input,select,textarea{display:none}.author-heading,.comment-author,.comment-awaiting-moderation,.comment-metadata,.comment-metadata a,.comment-notes,.entry-caption,.entry-footer,.entry-footer a,.gallery-caption,.no-comments,.post-title,.site-description,.site-info,.site-info a,.site-title a,.taxonomy-description,.wp-caption-text,a,blockquote,blockquote cite,blockquote small,body,label{color:#000}.author-info,.comment-list .pingback,.comment-list .trackback,.comment-list article,.comment-list+.comment-respond,.comments-area,.hentry+.hentry,.no-comments,.page-header,.site-footer,.site-header,abbr[title],pre,table,td,th{border-color:#eaeaea}.site{margin:0 7.6923%}.hentry+.hentry,.site-footer{margin-top:7.6923%}.sidebar{position:relative}.site-branding{padding:0}.site-header{padding:7.6923% 0}.site-description{display:block}.entry-footer,.entry-header{padding:0}.entry-content,.entry-summary{padding:0 0 7.6923%}.page-header{padding:3.84615% 0}.comments-area{border:0;padding:7.6923% 0 0}.site-footer{padding:3.84615% 0}}.recentcomments a{display:inline;padding:0;margin:0}a#cancel-comment-reply-link{display:none}';


	public function __construct()
	{
		parent::__construct();
	}

	public function __destruct()
	{
	}


	public function update(&$page, $canonical, $home_url, $permalink_structure)
	{
		$page = $this->update_content($page, $home_url, $permalink_structure);

		// The attribute 'href' in tag 'link rel=stylesheet for fonts' is set to the invalid value...
		$page = preg_replace('#^<link rel=\'stylesheet\' id=\'twentyfifteen-style-css\' .+ />$#im', '', $page, 1);

		$page = $this->update_header($page, $canonical);

		return $page;
	}
}