<?php
/*
	project: PWAMP
	file:    ABSPATH/wp-content/plugins/pwamp/themes/twentyseventeen.php
	version: 1.0.1
	author:  Rickey Gu
	web:     https://flexplat.com
	email:   rickey29@gmail.com
*/
if ( !defined( 'ABSPATH' ) ) exit;  // Exit if accessed directly.

require_once(plugin_dir_path(__FILE__) . 'lib/lib.php');


class PWAMP_Application extends PWAMP_Library
{
	protected $amp_style = '.custom-header-media:before,.wrap:after{content:""}.entry-title a,.screen-reader-text:focus,.site-branding a,a,abbr[title]{text-decoration:none}.custom-header-media,.screen-reader-text,svg,svg:not(:root){overflow:hidden}html{font-family:sans-serif;line-height:1.15;-ms-text-size-adjust:100%;-webkit-text-size-adjust:100%;-webkit-box-sizing:border-box;-moz-box-sizing:border-box;box-sizing:border-box}article,aside,figcaption,figure,footer,header,main,nav,section{display:block}a{background-color:transparent;-webkit-text-decoration-skip:objects}abbr[title]{border-bottom:1px #767676 dotted}b,strong{font-weight:700}small{font-size:80%}button,input,optgroup,select,textarea{font-family:sans-serif;font-size:100%;line-height:1.15;margin:0}button,input{overflow:visible}button,select{text-transform:none}[type=reset],[type=submit],button,html [type=button]{-webkit-appearance:button}[type=button]::-moz-focus-inner,[type=reset]::-moz-focus-inner,[type=submit]::-moz-focus-inner,button::-moz-focus-inner{border-style:none;padding:0}[type=button]:-moz-focusring,[type=reset]:-moz-focusring,[type=submit]:-moz-focusring,button:-moz-focusring{outline:ButtonText dotted 1px}textarea{overflow:auto}::-webkit-file-upload-button{-webkit-appearance:button;font:inherit}.screen-reader-text{clip:rect(1px,1px,1px,1px);height:1px;position:absolute;width:1px;word-wrap:normal}#masthead .wrap,#page,.custom-header,.site-branding,.site-header{position:relative}.screen-reader-text:focus{background-color:#f1f1f1;-webkit-border-radius:3px;border-radius:3px;-webkit-box-shadow:0 0 2px 2px rgba(0,0,0,.6);box-shadow:0 0 2px 2px rgba(0,0,0,.6);clip:auto;color:#21759b;display:block;font-size:14px;font-size:.875rem;font-weight:700;height:auto;left:5px;line-height:normal;padding:15px 23px 14px;top:5px;width:auto;z-index:100000}.clear:after,.clear:before,.comment-author:after,.comment-author:before,.comment-content:after,.comment-content:before,.comment-meta:after,.comment-meta:before,.entry-content:after,.entry-content:before,.entry-footer:after,.entry-footer:before,.nav-links:after,.nav-links:before,.pagination:after,.pagination:before,.site-content:after,.site-content:before,.site-footer:after,.site-footer:before,.site-header:after,.site-header:before,.widget-area:after,.widget-area:before,.widget:after,.widget:before{content:"";display:table;table-layout:fixed}.clear:after,.comment-author:after,.comment-content:after,.comment-meta:after,.entry-content:after,.entry-footer:after,.nav-links:after,.pagination:after,.site-content:after,.site-footer:after,.site-header:after,.widget-area:after,.widget:after{clear:both}body,button,input,select,textarea{color:#333;font-family:"Libre Franklin","Helvetica Neue",helvetica,arial,sans-serif;font-size:15px;font-size:.9375rem;font-weight:400;line-height:1.66}h1,h3{font-weight:300}h1,h2,h3,h4,h5,h6{clear:both;line-height:1.4;margin:0 0 .75em;padding:1.5em 0 0}h1:first-child,h2:first-child,h3:first-child,h4:first-child,h5:first-child,h6:first-child{padding-top:0}h1{font-size:24px;font-size:1.5rem}.home.blog .entry-title,h2{color:#666;font-size:20px;font-size:1.25rem;font-weight:300}h3,label{color:#333}h3{font-size:18px;font-size:1.125rem}ol,p,ul{margin:0 0 1.5em;padding:0}abbr,acronym{border-bottom:1px dotted #666;cursor:help}:focus{outline:0}label{display:block;font-weight:800;margin-bottom:.5em}input[type=search],input[type=number],input[type=tel],input[type=range],input[type=date],input[type=month],input[type=week],input[type=time],input[type=datetime],input[type=datetime-local],input[type=color],input[type=text],input[type=email],input[type=url],input[type=password],textarea{color:#666;background:#fff;background-image:-webkit-linear-gradient(rgba(255,255,255,0),rgba(255,255,255,0));border:1px solid #bbb;-webkit-border-radius:3px;border-radius:3px;display:block;padding:.7em;width:100%}input[type=search]:focus,input[type=number]:focus,input[type=tel]:focus,input[type=range]:focus,input[type=date]:focus,input[type=month]:focus,input[type=week]:focus,input[type=time]:focus,input[type=datetime]:focus,input[type=datetime-local]:focus,input[type=color]:focus,input[type=text]:focus,input[type=email]:focus,input[type=url]:focus,input[type=password]:focus,textarea:focus{color:#222;border-color:#333}button,input[type=button],input[type=submit]{background-color:#222;border:0;-webkit-border-radius:2px;border-radius:2px;-webkit-box-shadow:none;box-shadow:none;color:#fff;cursor:pointer;display:inline-block;font-size:14px;font-size:.875rem;font-weight:800;line-height:1;padding:1em 2em;text-shadow:none;-webkit-transition:background .2s;transition:background .2s}input+button,input+input[type=button],input+input[type=submit]{padding:.75em 2em}button:focus,button:hover,input[type=button]:focus,input[type=button]:hover,input[type=submit]:focus,input[type=submit]:hover{background:#767676}::-webkit-input-placeholder{color:#333;font-family:"Libre Franklin","Helvetica Neue",helvetica,arial,sans-serif}:-moz-placeholder{color:#333;font-family:"Libre Franklin","Helvetica Neue",helvetica,arial,sans-serif}::-moz-placeholder{color:#333;font-family:"Libre Franklin","Helvetica Neue",helvetica,arial,sans-serif;opacity:1}:-ms-input-placeholder{color:#333;font-family:"Libre Franklin","Helvetica Neue",helvetica,arial,sans-serif}ul{list-style:disc}ol{list-style:decimal}a{color:#222}a:focus{outline:dotted thin}a:active,a:hover{color:#000;outline:0}.entry-content a,.entry-summary a,.posts-navigation a,.site-footer .widget-area a,.widget a,.widget_authors a strong{-webkit-box-shadow:inset 0 -1px 0 rgba(15,15,15,1);box-shadow:inset 0 -1px 0 rgba(15,15,15,1);-webkit-transition:color 80ms ease-in,-webkit-box-shadow 130ms ease-in-out;transition:color 80ms ease-in,-webkit-box-shadow 130ms ease-in-out;transition:color 80ms ease-in,box-shadow 130ms ease-in-out;transition:color 80ms ease-in,box-shadow 130ms ease-in-out,-webkit-box-shadow 130ms ease-in-out}.comment-metadata a,.comment-metadata a.comment-edit-link,.comment-navigation a,.comment-reply-link,.comments-pagination a,.edit-link a,.entry-footer .cat-links a,.entry-footer .tags-links a,.entry-footer a,.entry-meta a,.entry-title a,.logged-in-as a,.page-links a,.page-links a .page-number,.pagination a,.post-navigation a,.site-footer .widget-area ul li a,.site-info a,.widget .widget-title a,.widget ul li a,a .nav-title{-webkit-box-shadow:inset 0 -1px 0 rgba(255,255,255,1);box-shadow:inset 0 -1px 0 rgba(255,255,255,1);text-decoration:none;-webkit-transition:color 80ms ease-in,-webkit-box-shadow 130ms ease-in-out;transition:color 80ms ease-in,-webkit-box-shadow 130ms ease-in-out;transition:color 80ms ease-in,box-shadow 130ms ease-in-out;transition:color 80ms ease-in,box-shadow 130ms ease-in-out,-webkit-box-shadow 130ms ease-in-out}.comment-metadata a.comment-edit-link:focus,.comment-metadata a.comment-edit-link:hover,.comment-metadata a:focus,.comment-metadata a:hover,.comment-reply-link:focus,.comment-reply-link:hover,.comments-pagination a:not(.prev):not(.next):focus,.comments-pagination a:not(.prev):not(.next):hover,.edit-link a:focus,.edit-link a:hover,.entry-content a:focus,.entry-content a:hover,.entry-footer .cat-links a:focus,.entry-footer .cat-links a:hover,.entry-footer .tags-links a:focus,.entry-footer .tags-links a:hover,.entry-footer a:focus,.entry-footer a:hover,.entry-meta a:focus,.entry-meta a:hover,.entry-summary a:focus,.entry-summary a:hover,.entry-title a:focus,.entry-title a:hover,.logged-in-as a:focus,.logged-in-as a:hover,.page-links a:focus .page-number,.page-links a:hover .page-number,.pagination a:not(.prev):not(.next):focus,.pagination a:not(.prev):not(.next):hover,.post-navigation a:focus,.post-navigation a:hover,.posts-navigation a:focus,.posts-navigation a:hover,.site-footer .widget-area a:focus,.site-footer .widget-area a:hover,.site-info a:focus,.site-info a:hover,.widget .widget-title a:focus,.widget .widget-title a:hover,.widget a:focus,.widget a:hover,.widget ul li a:focus,.widget ul li a:hover,.widget_authors a:focus strong,.widget_authors a:hover strong,a:focus .nav-title,a:hover .nav-title{color:#000;-webkit-box-shadow:inset 0 0 0 transparent,0 3px 0 rgba(0,0,0,1);box-shadow:inset 0 0 0 transparent,0 3px 0 rgba(0,0,0,1)}.post-navigation a:focus .icon,.post-navigation a:hover .icon{color:#222}.site-header .menu-scroll-down{display:none}*,:after,:before{-webkit-box-sizing:inherit;-moz-box-sizing:inherit;box-sizing:inherit}body{margin:0;background:#fff}#page{word-wrap:break-word}.wrap{margin-left:auto;margin-right:auto;max-width:700px;padding-left:2em;padding-right:2em}.wrap:after{clear:both;display:block}.site-header{background-color:#fafafa}.site-branding{padding:1em 0;-webkit-transition:margin-bottom .2s;transition:margin-bottom .2s;z-index:3}.site-branding a{-webkit-transition:opacity .2s;transition:opacity .2s}.site-branding a:focus,.site-branding a:hover{opacity:.7}.site-title{clear:none;font-size:24px;font-size:1.5rem;font-weight:800;line-height:1.25;letter-spacing:.08em;margin:0;padding:0;text-transform:uppercase}.site-title,.site-title a{color:#222;opacity:1}body.has-header-image .site-title,body.has-header-image .site-title a,body.has-header-video .site-title,body.has-header-video .site-title a{color:#fff}.site-description{color:#666;font-size:13px;font-size:.8125rem;margin-bottom:0}body.has-header-image .site-description,body.has-header-video .site-description{color:#fff;opacity:.8}body:not(.title-tagline-hidden) .site-branding-text{display:inline-block;vertical-align:middle}.has-header-image.home.blog .custom-header,.has-header-image.twentyseventeen-front-page .custom-header,.has-header-video.home.blog .custom-header,.has-header-video.twentyseventeen-front-page .custom-header{display:table;height:300px;height:75vh;width:100%}.custom-header-media{bottom:0;left:0;position:absolute;right:0;top:0;width:100%}.custom-header-media:before{background:-moz-linear-gradient(to top,rgba(0,0,0,0) 0,rgba(0,0,0,.3) 75%,rgba(0,0,0,.3) 100%);background:-webkit-linear-gradient(to top,rgba(0,0,0,0) 0,rgba(0,0,0,.3) 75%,rgba(0,0,0,.3) 100%);background:linear-gradient(to bottom,rgba(0,0,0,0) 0,rgba(0,0,0,.3) 75%,rgba(0,0,0,.3) 100%);filter:progid:DXImageTransform.Microsoft.gradient(startColorstr="#00000000", endColorstr="#4d000000", GradientType=0);bottom:0;display:block;height:100%;left:0;position:absolute;right:0;z-index:2}.has-header-image .custom-header-media img,.has-header-video .custom-header-media iframe,.has-header-video .custom-header-media video{position:fixed;height:auto;left:50%;max-width:1000%;min-height:100%;min-width:100%;min-width:100vw;width:auto;top:50%;padding-bottom:1px;-ms-transform:translateX(-50%) translateY(-50%);-moz-transform:translateX(-50%) translateY(-50%);-webkit-transform:translateX(-50%) translateY(-50%);transform:translateX(-50%) translateY(-50%)}.wp-custom-header .wp-custom-header-video-button{background-color:rgba(34,34,34,.5);border:1px solid rgba(255,255,255,.6);color:rgba(255,255,255,.6);height:45px;overflow:hidden;padding:0;position:fixed;right:30px;top:30px;-webkit-transition:background-color .2s ease-in-out,border-color .2s ease-in-out,color .3s ease-in-out;transition:background-color .2s ease-in-out,border-color .2s ease-in-out,color .3s ease-in-out;width:45px}.wp-custom-header .wp-custom-header-video-button:focus,.wp-custom-header .wp-custom-header-video-button:hover{border-color:rgba(255,255,255,.8);background-color:rgba(34,34,34,.8);color:#fff}.has-header-image:not(.twentyseventeen-front-page):not(.home) .custom-header-media img{bottom:0;position:absolute;top:auto;-ms-transform:translateX(-50%) translateY(0);-moz-transform:translateX(-50%) translateY(0);-webkit-transform:translateX(-50%) translateY(0);transform:translateX(-50%) translateY(0)}@supports (object-fit:cover){.has-header-image .custom-header-media img,.has-header-image:not(.twentyseventeen-front-page):not(.home) .custom-header-media img,.has-header-video .custom-header-media iframe,.has-header-video .custom-header-media video{height:100%;left:0;-o-object-fit:cover;object-fit:cover;top:0;-ms-transform:none;-moz-transform:none;-webkit-transform:none;transform:none;width:100%}}body:not(.has-header-image):not(.has-header-video) .custom-header-media{display:none}.has-header-image.home.blog .site-branding,.has-header-image.twentyseventeen-front-page .site-branding,.has-header-video.home.blog .site-branding,.has-header-video.twentyseventeen-front-page .site-branding{display:table-cell;height:100%;vertical-align:bottom}.byline,.post:not(.sticky) .icon-thumb-tack,.updated:not(.published){display:none}.site-content-contain{background-color:#fff;position:relative}.site-content{padding:2.5em 0 0}.page .panel-content .entry-title,.page-title,body.page:not(.twentyseventeen-front-page) .entry-title{color:#222;font-size:14px;font-size:.875rem;font-weight:800;letter-spacing:.14em;text-transform:uppercase}.comment-metadata,.entry-meta,.nav-subtitle,h2.widget-title{letter-spacing:.1818em;text-transform:uppercase}.entry-header .entry-title{margin-bottom:.25em}.entry-title a{color:#333;margin-left:-2px}.entry-meta,.entry-meta a,.nav-subtitle{color:#767676}.entry-title:not(:first-child){padding-top:0}.entry-meta{font-size:11px;font-size:.6875rem;font-weight:800;padding-bottom:.25em}.group-blog .byline,.single .byline{display:inline}.archive .site-main>article,.blog .site-main>article,.search .site-main>article{padding-bottom:2em}body:not(.twentyseventeen-front-page) .entry-header{padding:0 0 1em}body:not(.twentyseventeen-front-page) #comments,body:not(.twentyseventeen-front-page) .entry-content,body:not(.twentyseventeen-front-page) .entry-header{margin-left:auto;margin-right:auto}.archive.page-one-column:not(.has-sidebar) #primary,.archive.page-one-column:not(.has-sidebar) .page-header,.page.page-one-column:not(.twentyseventeen-front-page) #primary,.single-post:not(.has-sidebar) #primary{margin-left:auto;margin-right:auto;max-width:740px}.post-navigation{font-weight:800;margin:3em 0}.post-navigation .nav-links{padding:1em 0}.nav-subtitle{background:0 0;display:block;font-size:11px;font-size:.6875rem;margin-bottom:1em}.comment-author .says,.comment-list li:before{display:none}.nav-title{color:#333;font-size:15px;font-size:.9375rem}.post-navigation .nav-next{margin-top:1.5em}.nav-links .nav-previous .nav-title .nav-title-icon-wrapper{margin-right:.5em}.nav-links .nav-next .nav-title .nav-title-icon-wrapper{margin-left:.5em}.page-header{padding-bottom:2em}.site-footer{border-top:1px solid #eee}.site-footer .wrap{padding-bottom:1.5em;padding-top:2em}.site-info{font-size:14px;font-size:.875rem;margin-bottom:1em}.site-info a{color:#666}#comments{clear:both;padding:2em 0 .5em}.comments-title{font-size:20px;font-size:1.25rem;margin-bottom:1.5em}.comment-list,.comment-list .children{list-style:none;margin:0;padding:0}.comment-author{font-size:16px;font-size:1rem;margin-bottom:.4em;position:relative;z-index:2}.comment-author .avatar{height:50px;left:-65px;position:absolute;width:50px}.comment-meta{margin-bottom:1.5em}.comment-metadata{color:#767676;font-size:10px;font-size:.625rem;font-weight:800}.comment-metadata a{color:#767676}.comment-body{margin-left:65px;color:#333;font-size:14px;font-size:.875rem;margin-bottom:4em}.comment-reply-link{font-weight:800;position:relative}.comment-reply-link .icon{color:#222;left:-2em;height:1em;position:absolute;top:0;width:1em}.form-submit{text-align:right}#secondary{padding:1em 0 2em}.widget{padding-bottom:3em}h2.widget-title{color:#222;font-size:13px;font-size:.8125rem;font-weight:800;margin-bottom:1.5em}.widget ul{list-style:none;margin:0}.widget ol li,.widget ul li{border-bottom:1px solid #ddd;border-top:1px solid #ddd;padding:.5em 0}.widget:not(.widget_tag_cloud) ul li+li{margin-top:-1px}.widget-grofile ul.grofile-links li ul,.widget_meta ul li ul,.widget_pages ul li ul,.widget_rss_links ul li ul,.widget_top-posts ul li ul{bottom:0}.widget_recent_comments table,.widget_recent_comments td,.widget_recent_comments th{border:0}.widget_recent_entries .post-date{display:block}.search-form{position:relative}.search-form .search-submit{bottom:3px;padding:.5em 1em;position:absolute;right:3px;top:3px}.search-form .search-submit .icon{height:24px;top:-2px;width:24px}img,video{height:auto;max-width:100%}.icon{display:inline-block;fill:currentColor;height:1em;position:relative;top:-.0625em;vertical-align:middle;width:1em}.no-svg .next.page-numbers .screen-reader-text,.no-svg .prev.page-numbers .screen-reader-text,.no-svg .search-submit .screen-reader-text,.no-svg .social-navigation li a .screen-reader-text{clip:auto;font-size:16px;font-size:1rem;font-weight:400;height:auto;position:relative;width:auto}@media screen and (min-width:30em){body,button,input,select,textarea{font-size:18px;font-size:1.125rem}h1{font-size:30px;font-size:1.875rem}.home.blog .entry-title,.page .panel-content .recent-posts .entry-title,h2{font-size:26px;font-size:1.625rem}h3{font-size:22px;font-size:1.375rem}.site-branding{padding:3em 0}.site-footer{font-size:16px;font-size:1rem}}@media screen and (min-width:48em){body,button,input,select,textarea{font-size:16px;font-size:1rem;line-height:1.5}.wrap{max-width:1000px;padding-left:3em;padding-right:3em}.has-sidebar:not(.error404) #primary{float:left;width:58%}.has-sidebar #secondary{float:right;padding-top:0;width:36%}.site-branding{margin-bottom:0}.has-header-image.home.blog .site-branding,.has-header-image.twentyseventeen-front-page .site-branding,.has-header-video.home.blog .site-branding,.has-header-video.twentyseventeen-front-page .site-branding{bottom:0;display:block;left:0;height:auto;padding-top:0;position:absolute;width:100%}.has-header-image.home.blog .custom-header,.has-header-image.twentyseventeen-front-page .custom-header,.has-header-video.home.blog .custom-header,.has-header-video.twentyseventeen-front-page .custom-header{display:block;height:auto}.custom-header-media{height:165px;position:relative}.home.blog.has-header-image .custom-header-media,.home.blog.has-header-video .custom-header-media,.twentyseventeen-front-page.has-header-image .custom-header-media,.twentyseventeen-front-page.has-header-video .custom-header-media{position:relative}.has-header-image:not(.twentyseventeen-front-page):not(.home) .custom-header-media,.has-header-video:not(.twentyseventeen-front-page):not(.home) .custom-header-media{bottom:0;height:auto;left:0;position:absolute;right:0;top:0}.site-title{font-size:36px;font-size:2.25rem}.site-description{font-size:16px;font-size:1rem}.site-header .menu-scroll-down{display:block;padding:1em;position:absolute;right:0;color:#fff;top:2em}.site-header .menu-scroll-down .icon{-webkit-transform:rotate(90deg);-ms-transform:rotate(90deg);transform:rotate(90deg)}.menu-scroll-down:focus{outline:dotted thin}.menu-scroll-down .icon{height:18px;width:18px}.home.blog.has-header-image .site-branding,.home.blog.has-header-video .site-branding,.twentyseventeen-front-page.has-header-image .site-branding,.twentyseventeen-front-page.has-header-video .site-branding{margin-bottom:70px}.home.blog.has-header-image .custom-header-media,.home.blog.has-header-video .custom-header-media,.twentyseventeen-front-page.has-header-image .custom-header-media,.twentyseventeen-front-page.has-header-video .custom-header-media{height:1200px;height:100vh;max-height:100%;overflow:hidden}.home.blog.has-header-image .custom-header-media:before,.home.blog.has-header-video .custom-header-media:before,.twentyseventeen-front-page.has-header-image .custom-header-media:before,.twentyseventeen-front-page.has-header-video .custom-header-media:before{height:33%}.site-content{padding:5.5em 0 0}.page .entry-title,.single-post .entry-title{font-size:26px;font-size:1.625rem}.comments-pagination,.post-navigation{clear:both}.post-navigation .nav-previous{float:left;width:50%}.post-navigation .nav-next{float:right;text-align:right;width:50%}.nav-next,.post-navigation .nav-next{margin-top:0}body.has-sidebar.error404 #primary .page-header,body.page-two-column.archive:not(.has-sidebar) #primary .page-header,body.page-two-column:not(.archive) #primary .entry-header,body:not(.has-sidebar):not(.page-one-column) .page-header{float:left;width:36%}.archive:not(.page-one-column):not(.has-sidebar) #primary article,.blog:not(.has-sidebar) #primary article,.error404.has-sidebar #primary .page-content,.error404:not(.has-sidebar) #primary .page-content,.search:not(.has-sidebar) #primary article,body.page-two-column #comments,body.page-two-column:not(.archive) #primary .entry-content{float:right;width:58%}.archive .site-main>article,.blog .site-main>article,.search .site-main>article{padding-bottom:4em}#comments{padding-top:5em}.comments-title{margin-bottom:2.5em}.nav-links .nav-title{position:relative}.nav-title-icon-wrapper{position:absolute;text-align:center;width:2em}.nav-links .nav-previous .nav-title .nav-title-icon-wrapper{left:-2em}.nav-links .nav-next .nav-title .nav-title-icon-wrapper{right:-2em}#secondary{font-size:14px;font-size:.875rem;line-height:1.6}h2.widget-title{font-size:11px;font-size:.6875rem;margin-bottom:2em}.site-footer{font-size:14px;font-size:.875rem;line-height:1.6;margin-top:3em}.site-info{float:left;padding:.7em 0 0;width:58%}}@media screen and (min-width:67em){.comment-body{margin-left:0}}@media print{.site,.site-header,body{background:0 0}#secondary,.comment-edit-link,.comment-metadata .edit-link,.comment-reply-link,.comment-respond,.comments-pagination,.content-bottom-widgets,.edit-link,.header-image,.icon-thumb-tack,.navigation-top,.page-links,.pagination.navigation,.panel-image-prop,.pingback .edit-link,.post-navigation,.site-footer aside.widget-area,.site-info,.social-navigation,button,form,input,select,textarea{display:none}#comments,.entry-footer,.single-featured-image-header,.site-footer{border:0}body{font-size:12pt}h1{font-size:24pt}h2{font-size:22pt}h3{font-size:17pt}.page .panel-content .entry-title,.page-title,body.page:not(.twentyseventeen-front-page) .entry-title{font-size:10pt}.wrap{padding-left:5%;padding-right:5%;max-width:none}.custom-header-media,.site-footer,.site-header{padding:0}.home.blog.has-header-image .site-branding,.home.blog.has-header-video .site-branding,.twentyseventeen-front-page.has-header-image .site-branding,.twentyseventeen-front-page.has-header-video .site-branding{position:relative}.site-branding{margin-top:0;margin-bottom:1.75em}.site-title{font-size:25pt}.site-description{font-size:12pt;opacity:1}.entry-meta{font-size:9pt}.site-title a,.twentyseventeen-front-page.has-header-image .site-title,.twentyseventeen-front-page.has-header-image .site-title a,.twentyseventeen-front-page.has-header-video .site-title,.twentyseventeen-front-page.has-header-video .site-title a,a,body{color:#222}.entry-meta,.entry-meta a,.site-description,.twentyseventeen-front-page.has-header-image .site-description,.twentyseventeen-front-page.has-header-video .site-description,blockquote,h2,h5{color:#777}}.recentcomments a{display:inline;padding:0;margin:0}a#cancel-comment-reply-link{display:none}svg{position:absolute;width:0;height:0}';


	public function __construct()
	{
		parent::__construct();
	}

	public function __destruct()
	{
	}


	public function update(&$page, $canonical, $home_url, $permalink_structure)
	{
		$page = $this->update_content($page, $home_url, $permalink_structure);

		// The attribute 'href' in tag 'link rel=stylesheet for fonts' is set to the invalid value...
		$page = preg_replace('#^<link rel=\'stylesheet\' id=\'twentyseventeen-style-css\' .+ />$#im', '', $page, 1);

		// The inline 'style' attribute is not allowed in AMP documents. Use 'style amp-custom' tag instead.
		$page = preg_replace('#^<svg style="[^"]*"#im', '<svg', $page, 1);

		$page = $this->update_header($page, $canonical);

		return $page;
	}
}