<?php
/*
	project: PWAMP
	file:    ABSPATH/wp-content/plugins/pwamp/themes/twentysixteen.php
	version: 1.0.1
	author:  Rickey Gu
	web:     https://flexplat.com
	email:   rickey29@gmail.com
*/
if ( !defined( 'ABSPATH' ) ) exit;  // Exit if accessed directly.

require_once(plugin_dir_path(__FILE__) . 'lib/lib.php');


class PWAMP_Application extends PWAMP_Library
{
	protected $amp_style = 'html{font-family:sans-serif;-webkit-text-size-adjust:100%;-ms-text-size-adjust:100%;-webkit-box-sizing:border-box;-moz-box-sizing:border-box;box-sizing:border-box}body{margin:0;background:#1a1a1a}article,aside,details,figcaption,figure,footer,header,main,menu,nav,section,summary{display:block}abbr[title]{border-bottom:1px dotted}b,strong{font-weight:700}small{font-size:80%}button,input,optgroup,select,textarea{color:inherit;font:inherit;margin:0}button{overflow:visible}button,input,select,textarea{max-width:100%}button,html input[type=button],input[type=reset],input[type=submit]{-webkit-appearance:button;cursor:pointer}button::-moz-focus-inner,input::-moz-focus-inner{border:0;padding:0}input[type=search]{-webkit-appearance:textfield}input[type=search]::-webkit-search-cancel-button,input[type=search]::-webkit-search-decoration{-webkit-appearance:none}textarea{overflow:auto;vertical-align:top}.bypostauthor>article .fn:after,.comment-reply-title small a:before,.dropdown-toggle:after,.menu-item-has-children a:after,.pagination .nav-links:after,.pagination .nav-links:before,.pagination .next:before,.pagination .prev:before,.search-submit:before,.social-navigation a:before{-moz-osx-font-smoothing:grayscale;-webkit-font-smoothing:antialiased;display:inline-block;font-family:Genericons;font-size:16px;font-style:normal;font-variant:normal;font-weight:400;line-height:1;speak:none;text-align:center;text-decoration:inherit;text-transform:none;vertical-align:top}.no-js .main-navigation ul ul,.no-js .site-header-menu,.post-navigation span,.site-header-menu.toggled-on{display:block}.site .skip-link,a{text-decoration:none}body,button,input,select,textarea{color:#1a1a1a;font-family:Merriweather,Georgia,serif;font-size:16px;font-size:1rem;line-height:1.75}.entry-title,.post-navigation,.post-navigation .post-title,.site .skip-link,.site-title,.widget .widget-title,.widget_recent_entries .post-date{font-family:Montserrat,"Helvetica Neue",sans-serif}h1,h2,h3,h4,h5,h6{clear:both;font-weight:700;margin:0;text-rendering:optimizeLegibility}p{margin:0 0 1.75em}abbr,acronym{border-bottom:1px dotted #d1d1d1;cursor:help}*,:after,:before{-webkit-box-sizing:inherit;-moz-box-sizing:inherit;box-sizing:inherit}ol,ul{margin:0 0 1.75em 1.25em;padding:0}ul{list-style:disc}ol{list-style:decimal;margin-left:1.5em}::-webkit-input-placeholder{color:#686868;font-family:Montserrat,"Helvetica Neue",sans-serif}:-moz-placeholder{color:#686868;font-family:Montserrat,"Helvetica Neue",sans-serif}::-moz-placeholder{color:#686868;font-family:Montserrat,"Helvetica Neue",sans-serif;opacity:1}:-ms-input-placeholder{color:#686868;font-family:Montserrat,"Helvetica Neue",sans-serif}input{line-height:normal}button,button[disabled]:focus,button[disabled]:hover,input[type=button],input[type=button][disabled]:focus,input[type=button][disabled]:hover,input[type=reset],input[type=reset][disabled]:focus,input[type=reset][disabled]:hover,input[type=submit],input[type=submit][disabled]:focus,input[type=submit][disabled]:hover{background:#1a1a1a;border:0;border-radius:2px;color:#fff;font-family:Montserrat,"Helvetica Neue",sans-serif;font-weight:700;letter-spacing:.046875em;line-height:1;padding:.84375em .875em .78125em;text-transform:uppercase}button:focus,button:hover,input[type=button]:focus,input[type=button]:hover,input[type=reset]:focus,input[type=reset]:hover,input[type=submit]:focus,input[type=submit]:hover{background:#007acc}button:focus,input[type=button]:focus,input[type=reset]:focus,input[type=submit]:focus{outline:dotted thin;outline-offset:-4px}input[type=month],input[type=text],input[type=email],input[type=url],input[type=password],input[type=tel],input[type=number],input[type=search],input[type=date],input[type=time],input[type=datetime-local],input[type=week],textarea{background:#f7f7f7;background-image:-webkit-linear-gradient(rgba(255,255,255,0),rgba(255,255,255,0));border:1px solid #d1d1d1;border-radius:2px;color:#686868;padding:.625em .4375em;width:100%}input[type=month]:focus,input[type=text]:focus,input[type=email]:focus,input[type=url]:focus,input[type=password]:focus,input[type=tel]:focus,input[type=number]:focus,input[type=search]:focus,input[type=date]:focus,input[type=time]:focus,input[type=datetime-local]:focus,input[type=week]:focus,textarea:focus{background-color:#fff;border-color:#007acc;color:#1a1a1a;outline:0}.post-navigation,.widget{border-top:4px solid #1a1a1a}.search-form{position:relative}input[type=search].search-field{border-radius:2px 0 0 2px;width:-webkit-calc(100% - 42px);width:calc(100% - 42px)}.search-submit:before{content:"\f400";font-size:24px;left:2px;line-height:42px;position:relative;width:40px}.search-submit{border-radius:0 2px 2px 0;bottom:0;overflow:hidden;padding:0;position:absolute;right:0;top:0;width:42px}a{background-color:transparent;color:#007acc}a:active,a:focus,a:hover{color:#686868}a:focus{outline:dotted thin}a:active,a:hover{outline:0}.comment-content a,.entry-content a,.entry-footer a:hover,.entry-summary a,.logged-in-as a,.pingback .comment-body>a,.site-info a:hover,.taxonomy-description a,.textwidget a{box-shadow:0 1px 0 0 currentColor}.comment-content a:focus,.comment-content a:hover,.entry-content a:focus,.entry-content a:hover,.entry-summary a:focus,.entry-summary a:hover,.logged-in-as a:focus,.logged-in-as a:hover,.pingback .comment-body>a:focus,.pingback .comment-body>a:hover,.taxonomy-description a:focus,.taxonomy-description a:hover,.textwidget a:focus,.textwidget a:hover{box-shadow:none}.post-navigation{border-bottom:4px solid #1a1a1a;clear:both;margin:0 7.6923% 3.5em}.post-navigation a{color:#1a1a1a;display:block;padding:1.75em 0}.post-navigation .meta-nav{color:#686868;font-size:13px;font-size:.8125rem;letter-spacing:.076923077em;line-height:1.6153846154;margin-bottom:.5384615385em;text-transform:uppercase}.post-navigation .post-title{display:inline;font-size:23px;font-size:1.4375rem;font-weight:700;line-height:1.2173913043;text-rendering:optimizeLegibility}.post-navigation a:focus .post-title,.post-navigation a:hover .post-title{color:#007acc}.comment-navigation .nav-next:not(:empty),.comment-navigation .nav-previous:not(:empty),.image-navigation .nav-next:not(:empty),.image-navigation .nav-previous:not(:empty){display:inline-block}.comment-navigation .nav-previous:not(:empty)+.nav-next:not(:empty):before,.image-navigation .nav-previous:not(:empty)+.nav-next:not(:empty):before{content:"\002f";display:inline-block;opacity:.7;padding:0 .538461538em}.says,.screen-reader-text{clip:rect(1px,1px,1px,1px);height:1px;overflow:hidden;position:absolute;width:1px;word-wrap:normal}.site .skip-link{background-color:#f1f1f1;box-shadow:0 0 1px 1px rgba(0,0,0,.2);color:#21759b;display:block;font-size:14px;font-weight:700;left:-9999em;outline:0;padding:15px 23px 14px;text-transform:none;top:-9999em}.site .skip-link:focus{clip:auto;height:auto;left:6px;top:7px;width:auto;z-index:100000}.clear:after,.clear:before,.comment-content:after,.comment-content:before,.content-bottom-widgets:after,.content-bottom-widgets:before,.entry-content:after,.entry-content:before,.entry-summary:after,.entry-summary:before,.primary-menu:after,.primary-menu:before,.site-content:after,.site-content:before,.site-main>article:after,.site-main>article:before,.social-links-menu:after,.social-links-menu:before,.textwidget:after,.textwidget:before,blockquote:after,blockquote:before{content:"";display:table}.clear:after,.comment-content:after,.content-bottom-widgets:after,.entry-content:after,.entry-summary:after,.primary-menu:after,.site-content:after,.site-main>article:after,.social-links-menu:after,.textwidget:after,blockquote:after{clear:both}.widget{margin-bottom:3.5em;padding-top:1.75em}.widget .widget-title{font-size:16px;font-size:1rem;letter-spacing:.046875em;line-height:1.3125;margin:0 0 1.75em;text-transform:uppercase}.widget .widget-title:empty{margin-bottom:0}.widget_recent_entries .post-date{color:#686868;display:block;font-size:13px;font-size:.8125rem;line-height:1.615384615;margin-bottom:.538461538em}.widget_recent_entries li:last-child .post-date{margin-bottom:0}.site{background-color:#fff}.site-inner{margin:0 auto;max-width:1320px;position:relative}.site-content{word-wrap:break-word}.site-main{margin-bottom:3.5em}.site-header{padding:2.625em 7.6923%}.site-header-main{-webkit-align-items:center;-ms-flex-align:center;align-items:center;display:-webkit-flex;display:-ms-flexbox;display:flex;-webkit-flex-wrap:wrap;-ms-flex-wrap:wrap;flex-wrap:wrap}.site-branding{margin:.875em auto .875em 0;max-width:100%;min-width:0;overflow:hidden}.site-title{font-size:23px;font-size:1.4375rem;font-weight:700;line-height:1.2173913043;margin:0}.site-branding .site-title a{color:#1a1a1a}.site-branding .site-title a:focus,.site-branding .site-title a:hover{color:#007acc}.site-description{color:#686868;display:none;font-size:13px;font-size:.8125rem;font-weight:400;line-height:1.0769230769;margin:.538461538em 0 0}.no-js .menu-toggle{display:none}.site-main>article{margin-bottom:3.5em;position:relative}.entry-content,.entry-footer,.entry-header,.entry-summary,.page-content{margin-right:7.6923%;margin-left:7.6923%}.entry-title{font-size:28px;font-size:1.75rem;font-weight:700;line-height:1.25;margin-bottom:1em}.comment-metadata,.entry-footer,.pingback .edit-link{font-family:Montserrat,"Helvetica Neue",sans-serif;font-size:13px}.entry-title a{color:#1a1a1a}.entry-title a:focus,.entry-title a:hover{color:#007acc}.entry-footer,.entry-footer a{color:#686868}.entry-content,.entry-summary{border-color:#d1d1d1}.comments-title,.entry-title,.post-navigation .post-title{-webkit-hyphens:auto;-moz-hyphens:auto;-ms-hyphens:auto;hyphens:auto}.entry-footer{font-size:.8125rem;line-height:1.6153846154;margin-top:2.1538461538em}.entry-footer:empty{margin:0}.entry-footer a:focus,.entry-footer a:hover{color:#007acc}.entry-footer>span:not(:last-child):after{content:"\002f";display:inline-block;opacity:.7;padding:0 .538461538em}.comment-list+.comment-respond,.comment-navigation+.comment-respond,.page-header{padding-top:1.75em}.entry-footer .avatar{height:21px;margin:-.1538461538em .5384615385em 0 0;width:21px}.comments-area,.page-header{margin:0 7.6923% 3.5em}.byline,.sticky .posted-on,.updated:not(.published){display:none}.group-blog .byline,.single .byline{display:inline}.page-header{border-top:4px solid #1a1a1a}.page-title{font-family:Montserrat,"Helvetica Neue",sans-serif;font-size:23px;font-size:1.4375rem;line-height:1.2173913043}.archive .format-status .entry-title,.blog .format-status .entry-title{display:none}.comment-reply-title,.comments-title{border-top:4px solid #1a1a1a;font-family:Montserrat,"Helvetica Neue",sans-serif;font-size:23px;font-size:1.4375rem;font-weight:700;line-height:1.3125;padding-top:1.217391304em}.comments-title{margin-bottom:1.217391304em}.comment-list{list-style:none;margin:0}.comment-list .pingback,.comment-list .trackback,.comment-list article{border-top:1px solid #d1d1d1;padding:1.75em 0}.comment-author{color:#1a1a1a;margin-bottom:.4375em}.comment-author .avatar{float:left;height:28px;margin-right:.875em;position:relative;width:28px}.comment-metadata,.pingback .edit-link{color:#686868;font-size:.8125rem;line-height:1.6153846154}.comment-form label,.comment-reply-link{font-family:Montserrat,"Helvetica Neue",sans-serif;font-size:13px}.comment-metadata{margin-bottom:2.1538461538em}.comment-metadata a,.pingback .comment-edit-link{color:#686868}.comment-metadata a:focus,.comment-metadata a:hover,.pingback .comment-edit-link:focus,.pingback .comment-edit-link:hover{color:#007acc}.comment-reply-link{border:1px solid #d1d1d1;border-radius:2px;color:#007acc;display:inline-block;font-size:.8125rem;line-height:1;margin-top:2.1538461538em;padding:.5384615385em .5384615385em .4615384615em}.comment-reply-link:focus,.comment-reply-link:hover{border-color:currentColor;color:#007acc;outline:0}.comment-form{padding-top:1.75em}.comment-form label{color:#686868;display:block;font-size:.8125rem;letter-spacing:.076923077em;line-height:1.6153846154;margin-bottom:.5384615385em;text-transform:uppercase}.comment-awaiting-moderation,.comment-notes,.form-allowed-tags,.logged-in-as{color:#686868;font-size:13px;font-size:.8125rem;line-height:1.6153846154;margin-bottom:2.1538461538em}.form-submit{margin-bottom:0}.required{color:#007acc;font-family:Merriweather,Georgia,serif}.comment-reply-title small{font-size:100%}.comment-reply-title small a{border:0;float:right;height:32px;overflow:hidden;width:26px}.comment-reply-title small a:focus,.comment-reply-title small a:hover{color:#1a1a1a}.site-info,.site-info a{color:#686868}.comment-reply-title small a:before{content:"\f405";font-size:32px;position:relative;top:-5px}.sidebar{margin-bottom:3.5em;padding:0 7.6923%}.site-footer{padding:0 7.6923% 1.75em}.site-info{font-size:13px;font-size:.8125rem;line-height:1.6153846154}.site-info a:focus,.site-info a:hover{color:#007acc}.site-footer .site-title{font-family:inherit;font-size:inherit;font-weight:400}.site-footer .site-title:after{content:"\002f";display:inline-block;font-family:Montserrat,sans-serif;opacity:.7;padding:0 .307692308em 0 .538461538em}.site .avatar{border-radius:50%}@media screen and (min-width:44.375em){body:not(.custom-background-image):after,body:not(.custom-background-image):before{background:inherit;content:"";display:block;height:21px;left:0;position:fixed;width:100%;z-index:99}body:not(.custom-background-image):before{top:0}body:not(.custom-background-image):after{bottom:0}.site{margin:21px}.site-main{margin-bottom:5.25em}.site-header{padding:3.9375em 7.6923%}.site-branding{margin-top:1.3125em;margin-bottom:1.3125em}.post-navigation,.site-main>article{margin-bottom:5.25em}.site-title{font-size:28px;font-size:1.75rem;line-height:1.25}.site-description{display:block}.post-navigation .post-title{font-size:28px;font-size:1.75rem;line-height:1.25}.comments-area,.content-bottom-widgets,.entry-content,.entry-footer,.entry-header,.entry-summary,.image-navigation,.page-content,.page-header,.post-navigation,.post-thumbnail{margin-right:23.0769%}.entry-title{font-size:33px;font-size:2.0625rem;line-height:1.2727272727;margin-bottom:.8484848485em}.comment-author{margin-bottom:0}.comments-area,.content-bottom-widgets .widget-area,.sidebar,.widecolumn,.widget{margin-bottom:5.25em}.comment-author .avatar{height:42px;position:relative;top:.25em;width:42px}.comment-list+.comment-respond,.comment-navigation+.comment-respond{padding-top:3.5em}.sidebar,.widecolumn{padding-right:23.0769%}}@media screen and (min-width:56.875em){.site-header{padding-right:4.5455%;padding-left:4.5455%}.site-header-main{-webkit-align-items:flex-start;-ms-flex-align:start;align-items:flex-start}.site-content{padding:0 4.5455%}.content-area{float:left;margin-right:-100%;width:70%}.comments-area,.content-bottom-widgets,.entry-content,.entry-footer,.entry-header,.entry-summary,.image-navigation,.page-content,.page-header,.pagination,.post-navigation,.post-thumbnail{margin-right:0;margin-left:0}.sidebar{float:left;margin-left:75%;padding:0;width:25%}.widget{font-size:13px;font-size:.8125rem;line-height:1.6153846154;margin-bottom:3.230769231em;padding-top:1.615384615em}.widget .widget-title{margin-bottom:1.3125em}.widget address,.widget dd,.widget dl,.widget hr,.widget ol,.widget p,.widget table,.widget ul{margin-bottom:1.6153846154em}.widget button,.widget input,.widget select,.widget textarea{font-size:13px;font-size:.8125rem;line-height:1.6153846154}.widget button,.widget input[type=button],.widget input[type=reset],.widget input[type=submit]{line-height:1;padding:.846153846em}.widget input[type=month],.widget input[type=text],.widget input[type=email],.widget input[type=url],.widget input[type=password],.widget input[type=tel],.widget input[type=number],.widget input[type=search],.widget input[type=date],.widget input[type=time],.widget input[type=datetime-local],.widget input[type=week],.widget textarea{padding:.4615384615em .5384615385em}.widget h2{font-size:19px;font-size:1.1875rem;line-height:1.1052631579;margin-bottom:1.1052631579em}.widget input[type=search].search-field{width:-webkit-calc(100% - 35px);width:calc(100% - 35px)}.widget .search-submit:before{font-size:16px;left:1px;line-height:35px;width:34px}.widget button.search-submit{padding:0;width:35px}.site-footer{-webkit-align-items:center;-ms-flex-align:center;align-items:center;display:-webkit-flex;display:-ms-flexbox;display:flex;-webkit-flex-wrap:wrap;-ms-flex-wrap:wrap;flex-wrap:wrap;padding:0 4.5455% 3.5em}.site-info{margin:.538461538em auto .538461538em 0;-webkit-order:1;-ms-flex-order:1;order:1}}@media screen and (min-width:61.5625em){.site-main{margin-bottom:7em}.site-header{padding:5.25em 4.5455%}.header-image,.site-branding,.site-header-menu{margin-top:1.75em;margin-bottom:1.75em}.post-navigation{margin-bottom:7em}.widget{margin-bottom:4.307692308em}.site-main>article{margin-bottom:7em}.entry-title{font-size:40px;font-size:2.5rem;line-height:1.225;margin-bottom:1.05em}.comment-list+.comment-respond,.comment-navigation+.comment-respond{padding-top:5.25em}.comments-area,.content-bottom-widgets .widget-area,.sidebar,.widecolumn{margin-bottom:7em}body:not(.search-results) article:not(.type-page) .entry-content{float:right;width:71.42857144%}body:not(.search-results) article:not(.type-page) .entry-footer{float:left;margin-top:.1538461538em;width:21.42857143%}body:not(.search-results) article:not(.type-page) .entry-footer>span:not(:last-child):after{display:none}.full-size-link,.single .byline,body:not(.search-results) .cat-links,body:not(.search-results) .entry-format,body:not(.search-results) .tags-links,body:not(.search-results) article:not(.sticky) .posted-on,body:not(.search-results) article:not(.type-page) .comments-link,body:not(.search-results) article:not(.type-page) .entry-footer .edit-link,body:not(.search-results).group-blog .byline{display:block;margin-bottom:.5384615385em}body:not(.search-results) article:not(.type-page) .entry-footer>span:last-child{margin-bottom:0}body:not(.search-results) article:not(.type-page) .entry-footer .avatar{display:block;height:auto;margin:0 0 .5384615385em;width:49px}}@media print{.comment-edit-link,.comment-metadata .edit-link,.comment-reply-link,.comment-respond,.content-bottom-widgets,.edit-link,.header-image,.main-navigation,.navigation,.page-links,.pingback .edit-link,.sidebar,.social-navigation,button,form,input,select,textarea{display:none}.comment-content h4,.comment-content h5,.comment-content h6,.entry-content .author-title,.entry-content h4,.entry-content h5,.entry-content h6,.entry-summary h4,.entry-summary h5,.entry-summary h6,blockquote cite,blockquote small,body,pre{font-size:12pt}.comment-content h2,.comments-title,.entry-content h2,.entry-summary h2,.page-title,.site-title,.widecolumn h2{font-size:17.25pt}.site-description{display:block}.entry-title{font-size:24.75pt;line-height:1.2727272727;margin-bottom:1.696969697em}.author-bio,.comment-awaiting-moderation,.comment-metadata,.comment-notes,.entry-caption,.entry-footer,.gallery-caption,.site-description,.site-info,.sticky-post,.taxonomy-description,.wp-caption .wp-caption-text{font-size:9.75pt}.site,body{background:0 0}.comment-author,.entry-title a,.site-branding .site-title a,blockquote cite,blockquote small,body{color:#1a1a1a}.comments-title,.page-header,blockquote{border-color:#1a1a1a}.author-bio,.comment-author,.comment-awaiting-moderation,.comment-metadata a,.comment-notes,.entry-caption,.entry-footer,.entry-footer a,.gallery-caption,.site-description,.site-info,.site-info a,.sticky-post,.taxonomy-description,.wp-caption .wp-caption-text,blockquote,body:not(.search-results) .entry-summary,body:not(.search-results) .entry-summary blockquote{color:#686868}.author-info,.comment-list .pingback,.comment-list .trackback,.comment-list article,.no-comments,abbr,acronym,pre,table,td,th{border-color:#d1d1d1}a{color:#007acc}.comment-content a,.entry-content a,.entry-summary a,.pingback .comment-body>a,.taxonomy-description a{box-shadow:none;border-bottom:1px solid #007acc}.site{margin:5%}.site-inner{max-width:none}.site-header{padding:0 0 1.75em}.site-branding{margin-top:0;margin-bottom:1.75em}.post-thumbnail,.site-main,.site-main>article{margin-bottom:3.5em}.comments-area,.entry-content,.entry-footer,.entry-header,.entry-summary,.page-content,.page-header,.post-thumbnail{margin-right:0;margin-left:0}.site-footer,.widecolumn{padding:0}}.recentcomments a{display:inline;padding:0;margin:0}a#cancel-comment-reply-link{display:none}';


	public function __construct()
	{
		parent::__construct();
	}

	public function __destruct()
	{
	}


	public function update(&$page, $canonical, $home_url, $permalink_structure)
	{
		$page = $this->update_content($page, $home_url, $permalink_structure);

		// The attribute 'href' in tag 'link rel=stylesheet for fonts' is set to the invalid value...
		$page = preg_replace('#^<link rel=\'stylesheet\' id=\'twentysixteen-style-css\' .+ />$#im', '', $page, 1);

		$page = $this->update_header($page, $canonical);

		return $page;
	}
}